/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: ImmediateEffect.java,v 1.1.2.1 2003/12/11 10:23:10 ppoi Exp $
 */
package tsukuba_bunko.peko.canvas.stage.effect;

import	java.awt.image.BufferedImage;

import	tsukuba_bunko.peko.canvas.stage.Effect;


/**
 */
public class ImmediateEffect	extends Effect	{

	public String getName()
	{
		return "immediate";
	}

	public void perform( BufferedImage screen, BufferedImage next )
	{
		screen.setData( next.getRaster() );
	}
}
